summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-04-06 22:40:10 +0100
committerJames Le Cuirot <chewi@gentoo.org>2016-04-07 22:45:33 +0100
commitc53e81fd7d361823c46e234694fa32514d2466a3 (patch)
tree2fc1eb00c98a3aec24e5d2794d9560e2d9eebb35 /dev-java
parentdev-java/netty-codec: Version bump to 4.0.36, java-pkg-simple rewrite (diff)
downloadgentoo-c53e81fd7d361823c46e234694fa32514d2466a3.tar.gz
gentoo-c53e81fd7d361823c46e234694fa32514d2466a3.tar.bz2
gentoo-c53e81fd7d361823c46e234694fa32514d2466a3.zip
dev-java/netty-handler: Bump to 4.0.36, java-pkg-simple rewrite
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/netty-handler/Manifest1
-rw-r--r--dev-java/netty-handler/netty-handler-4.0.36.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-java/netty-handler/Manifest b/dev-java/netty-handler/Manifest
index dffa89f71e2..d090d60f54d 100644
--- a/dev-java/netty-handler/Manifest
+++ b/dev-java/netty-handler/Manifest
@@ -1 +1,2 @@
DIST netty-4.0.19.Final.tar.gz 929126 SHA256 065980d0232179a02dc52d55e9017f485c2cbcf14597172cac3bfd2db5dce9ac SHA512 031a251c93b2c475bbf12610f297ed47eacc430ba19e05fd33c12ab768b1d14556cb59d0f9e2a19f87c325b516323cd2ec13a341522825a19d76c27abb13a4cf WHIRLPOOL 8a2c026c62de3a26ef0c432af37b193b10bc826429399dc8fb8016d50cb22359e50087a10edecd69924861bf1f29da02b39810f37db514ba260a1ea9ef2692d0
+DIST netty-4.0.36.Final.tar.gz 1267617 SHA256 c37c139dd662331612bb29dcb8f708dd23ecd7c0a14730292cf525bfa48e96d8 SHA512 b222205963366d5a0f5539c7029dc47edea8d532fca05d169dfe12dbedf956959ba422a22254b09622db428b517da0fd0e58198d11e66193abdb6050481ccbe6 WHIRLPOOL 535e29762344f3ad7a3d6c7da9df2b56ddb170d184397150dc17c87fe3bee358d7e76e57e6ab88df2acc374be995b119158a368bcc59a069fc45bedf517034fc
diff --git a/dev-java/netty-handler/netty-handler-4.0.36.ebuild b/dev-java/netty-handler/netty-handler-4.0.36.ebuild
new file mode 100644
index 00000000000..2d9f1c54053
--- /dev/null
+++ b/dev-java/netty-handler/netty-handler-4.0.36.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_PN="netty"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Async event-driven framework for high performance network applications"
+HOMEPAGE="http://netty.io/"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/${MY_P}.Final.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="~dev-java/${MY_PN}-buffer-${PV}:0
+ ~dev-java/${MY_PN}-codec-${PV}:0
+ ~dev-java/${MY_PN}-common-${PV}:0
+ ~dev-java/${MY_PN}-transport-${PV}:0
+ dev-java/${MY_PN}-tcnative:0
+ dev-java/bcpkix:1.52
+ dev-java/bcprov:1.52
+ dev-java/jetty-alpn-api:0
+ dev-java/jetty-npn-api:0"
+
+RDEPEND=">=virtual/jre-1.7
+ ${CDEPEND}"
+
+DEPEND=">=virtual/jdk-1.7
+ ${CDEPEND}
+ test? (
+ dev-java/hamcrest-core:1.3
+ dev-java/hamcrest-library:1.3
+ dev-java/junit:4
+ dev-java/mockito:0
+ )"
+
+S="${WORKDIR}/${MY_PN}-${MY_P}.Final/${PN/${MY_PN}-}"
+JAVA_SRC_DIR="src/main/java"
+JAVA_GENTOO_CLASSPATH="${MY_PN}-buffer,${MY_PN}-codec,${MY_PN}-common,${MY_PN}-tcnative,${MY_PN}-transport,bcpkix-1.52,bcprov-1.52,jetty-alpn-api,jetty-npn-api"
+
+src_test() {
+ cd src/test/java || die
+
+ local CP=".:../resources:${S}/${PN}.jar:$(java-pkg_getjars --with-dependencies ${JAVA_GENTOO_CLASSPATH},hamcrest-core-1.3,hamcrest-library-1.3,junit-4,mockito)"
+ local TESTS=$(find * -name "*Test.java" ! -name "RenegotiateTest.java" ! -name "SslContextTest.java" ! -name "SSLEngineTest.java")
+ TESTS="${TESTS//.java}"
+ TESTS="${TESTS//\//.}"
+
+ ejavac -cp "${CP}" -d . $(find * -name "*.java")
+ LD_LIBRARY_PATH=$(java-config -i netty-tcnative) ejunit4 -classpath "${CP}" ${TESTS}
+}